package com.quinn.mapper;

import com.quinn.pojo.Blog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.quinn.pojo.BlogWithUser;
import com.quinn.vo.MyPageParam;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author limqsh
 * @since 2020-06-29
 */
public interface BlogMapper extends BaseMapper<Blog> {

    List<Blog> getTopBlog();

    int getBlogWithUserOrderBySortCount(String userId);

    List<BlogWithUser> getBlogWithUserOrderBySort(String userId,MyPageParam myPageParam);

    List<BlogWithUser> getMyBlogs(String userId,MyPageParam myPageParam);
}
